# :tada: Contributing to this repository

## 🏁 Getting Started

Before you begin:

* Make sure to have the right python version (≥3.8)
and the project dependencies installed.

## :v: There are 2 main ways to contribute:

### :bug: Fix a bug
Do you think you would be able to fix a bug?
- If there is an open issue and no one is assigned feel free to claim it by commenting. 
Someone will assign you can begin working on it.
- If there is no issue open, open one using the bug report issue form and describe the bug.
We'll use the issue to have a conversation about the problem you found.

### :sparkles: Add a new feature
Whether you are a first time contributor or a frequent contributor, this is greatly appreciated.
- Looking for something to contribute? Find an open issue with the tag [_enhancement_](https://github.com/Pincer-org/Pincer/labels/enhancement) in which that feature is not assigned.
For people who just want to get their feet wet, browse issues with the [_easy_](https://github.com/Pincer-org/Pincer/labels/easy) tag.
We are also really looking for people to help with issue [#265 *Implement Every Single Endpoint*](https://github.com/Pincer-org/Pincer/issues/265)
- Do you have a feature in mind that should be added and does not have an issue? Open one using the Feature Request issue form and fill out the relevant information. 

## :arrow_up: Make your update
Make your changes to the file(s) you'd like to update to solve an issue
or add a new feature. When writing docstrings, please use the 
[numpydocs](https://numpydoc.readthedocs.io/en/latest/format.html) style guide.

When contributing, make sure to use [Gitmoji](https://gitmoji.dev/) for your commits as it 
helps to organize them by categories.

## :envelope_with_arrow:  Open a pull request
When you're done making changes,
and you'd like to propose them for review,
use the pull request template to open your PR (pull request).

* Make sure the pull request in the `main` branch
* If you remove any feature, or don't pass the basic tests and code style your
pull request might not get approved and will be asked for modifications.
* Make sure to respect the pep8 rules (including E501), or will be requested.
* Make sure that there is an issue opened for what you are contributing and that it is assigned to you

If you are on our [discord](https://discord.gg/pincer), a successful pull request will give you the 
contributor role! (except for typos pr's/small contributions)
